Skip to main content

Get Coverage Types

Description​

Coverage type IDs are used in prospect records you receive from the Bold Penguin Exchange. They are also a required property for disposition records. A prospect can have only one disposition record per coverage_type_id.

You can retrieve the full list of valid coverage type mappings using this endpoint.

Do not use coverage type IDs when sending prospects to the Exchange or creating application forms in your Terminal. In those cases, use the enumerated coverage types from the Master Question Set or your Broker Questions.

Endpoint​

Staging​

https://api-staging.boldpenguin.com/coverage_types

Production​

https://api.boldpenguin.com/coverage_types

Authentication​

The inbound Receive Side API uses bearer authentication via an HTTP header.

Your Account Manager will provide you with a unique bearer token for this API.

Methods​

GET

Request Syntax​

/coverage_types

Request Parameters​

None

Response Syntax​

[
{
"id": <integer>,
"name": "<string>"
},
{
"id": <integer>,
"name": "<string>"
},
...
]

Response Elements​

  • id
    • Unique ID for this coverage type
    • Type: Integer
    • Required: Yes
  • name
    • Descriptive name for this coverage type
    • Type: String
    • Required: Yes

Status Codes​

Examples​

Example Request​

$ curl -v -X GET \
--header "Authorization: Bearer <access_token>" \
--header "Content-Type: application/json" \
https://<disposition_url>/coverage_types

Example Response​

[
{
"id": 1,
"name": "Commercial Package Policy"
},
{
"id": 2,
"name": "Commercial Umbrella"
},
{
"id": 3,
"name": "Commercial Crime"
},
{
"id": 4,
"name": "Liability"
},
...
]

Note: The coverage_type_id mapping is a static list and can be cached locally.